SSS_USERADD(8)

NAME
sss_useradd - create a new user

SYNOPSIS

sss_useradd [options] LOGIN

DESCRIPTION

sss_useradd creates a new user account using the values specified on the command line plus the default values from the system.

OPTIONS

-u,--uid UID
    Set the UID of the user to the value of UID. If not given, it is chosen automatically.

-c,--gecos COMMENT
    Any text string describing the user. Often used as the field for the user's full name.

-h,--home HOME_DIR
    The home directory of the user account. The default is to append the LOGIN name to /home and use that as the home directory. The base that is prepended before LOGIN is tunable with “user_defaults/baseDirectory” setting in sssd.conf.

-s,--shell SHELL
    The user's login shell. The default is currently /bin/bash. The default can be changed with “user_defaults/defaultShell” setting in sssd.conf.

-G,--groups GROUPS
    A list of existing groups this user is also a member of.

-m,--create-home
    Create the user's home directory if it does not exist. The files and directories contained in the skeleton directory (which can be defined with the -k option or in the config file) will be copied to the home directory.

-M,--no-create-home
    Do not create the user's home directory. Overrides configuration settings.

-k,--skel SKELDIR
    The skeleton directory, which contains files and directories to be copied in the user's home directory, when the home directory is created by sss_useradd.

    This option is only valid if the -m (or --create-home) option is specified, or creation of home directories is set to TRUE in the configuration.

-Z,--selinux-user SELINUX_USER
    The SELinux user for the user's login. If not specified, the system default will be used.

-h,--help
    Display help message and exit.

SEE ALSO

sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_userdel(8), sss_usermod(8).

AUTHORS

The SSSD upstream - http://fedorahosted.org/sssd